| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SurveyDiskLocation Class Reference
Basic

Survey location on disk. More...

`#include <surveydisklocation.h>`

## Public Member Functions
| SurveyDiskLocation ()
| current
| SurveyDiskLocation (const char *dirnm, const char *bp=0)
| SurveyDiskLocation (const FilePath &fulldir)
| SurveyDiskLocation (const SurveyDiskLocation &)
| ~SurveyDiskLocation ()
BufferString | basePath (bool trysi=true) const
BufferString | dirName (bool trysi=true) const
bool | exists () const
void | fillPar (IOPar &, bool force=false) const
BufferString | fullPath (bool trysi=true) const
BufferString | fullPathFor (const char *fnm) const
const Survey::GeometryManager & | geometryManager () const
bool | isCurrentSurvey () const
bool | isEmpty () const
| current survey, soft path
bool | operator!= (const SurveyDiskLocation &oth) const
SurveyDiskLocation & | operator= (const SurveyDiskLocation &)
bool | operator== (const SurveyDiskLocation &) const
void | set (const char *fullpath)
void | set (const FilePath &)
void | setBasePath (const char *bp)
void | setDirName (const char *dn)
void | setEmpty ()
| current survey, soft path
void | setToCurrentSurvey (bool hard=true)
const SurveyInfo & | surveyInfo () const
BufferString | surveyName () const
bool | usePar (const IOPar &)

## Static Public Member Functions
static const SurveyDiskLocation & | currentSurvey ()
static void | listSurveys (BufferStringSet &, const char *basepath=0)
| returns subdirectory names (not full paths)

## Protected Attributes
BufferString | basepath_
| The 'data root'.
BufferString | dirname_
| The survey directory name.

## Detailed Description

Survey location on disk.

The survey itself is the only OpendTect database 'object' that has no ID by itself. Thus, if you have to work accross surveys, this object has to be the ID of a survey. To make things like 'relocate' easier, the path is split in a base path (usualy the 'Data Root') and the survey directory name. If any of the two is empty, it will be taken from surrent survey.

When working accross surveys, you can get the corresponding SurveyInfo and GeometryManager, cached for you.

<>

## Constructor & Destructor Documentation

## ◆ SurveyDiskLocation() [1/4]

SurveyDiskLocation::SurveyDiskLocation | ( |  | ) |

current

## ◆ SurveyDiskLocation() [2/4]

SurveyDiskLocation::SurveyDiskLocation | ( | const char * | dirnm,
|  | const char * | bp = 0 )

## ◆ SurveyDiskLocation() [3/4]

SurveyDiskLocation::SurveyDiskLocation | ( | const FilePath & | fulldir | ) |

## ◆ SurveyDiskLocation() [4/4]

SurveyDiskLocation::SurveyDiskLocation | ( | const SurveyDiskLocation & |  | ) |

## ◆ ~SurveyDiskLocation()

SurveyDiskLocation::~SurveyDiskLocation | ( |  | ) |

## Member Function Documentation

## ◆ basePath()

BufferString SurveyDiskLocation::basePath | ( | bool | trysi = true | ) | const

## ◆ currentSurvey()

static const SurveyDiskLocation & SurveyDiskLocation::currentSurvey | ( |  | ) |
| static

## ◆ dirName()

BufferString SurveyDiskLocation::dirName | ( | bool | trysi = true | ) | const

## ◆ exists()

bool SurveyDiskLocation::exists | ( |  | ) | const

## ◆ fillPar()

void SurveyDiskLocation::fillPar | ( | IOPar & | ,
|  | bool | force = false ) const

## ◆ fullPath()

BufferString SurveyDiskLocation::fullPath | ( | bool | trysi = true | ) | const

## ◆ fullPathFor()

BufferString SurveyDiskLocation::fullPathFor | ( | const char * | fnm | ) | const

## ◆ geometryManager()

const Survey::GeometryManager & SurveyDiskLocation::geometryManager | ( |  | ) | const

## ◆ isCurrentSurvey()

bool SurveyDiskLocation::isCurrentSurvey | ( |  | ) | const

## ◆ isEmpty()

bool SurveyDiskLocation::isEmpty | ( |  | ) | const

current survey, soft path

## ◆ listSurveys()

static void SurveyDiskLocation::listSurveys | ( | BufferStringSet & | ,
|  | const char * | basepath = 0 )
| static

returns subdirectory names (not full paths)

## ◆ operator!=()

bool SurveyDiskLocation::operator!= | ( | const SurveyDiskLocation & | oth | ) | const
| inline

## ◆ operator=()

SurveyDiskLocation & SurveyDiskLocation::operator= | ( | const SurveyDiskLocation & |  | ) |

## ◆ operator==()

bool SurveyDiskLocation::operator== | ( | const SurveyDiskLocation & |  | ) | const

## ◆ set() [1/2]

void SurveyDiskLocation::set | ( | const char * | fullpath | ) |

## ◆ set() [2/2]

void SurveyDiskLocation::set | ( | const FilePath & |  | ) |

## ◆ setBasePath()

void SurveyDiskLocation::setBasePath | ( | const char * | bp | ) |
| inline

## ◆ setDirName()

void SurveyDiskLocation::setDirName | ( | const char * | dn | ) |
| inline

## ◆ setEmpty()

void SurveyDiskLocation::setEmpty | ( |  | ) |

current survey, soft path

## ◆ setToCurrentSurvey()

void SurveyDiskLocation::setToCurrentSurvey | ( | bool | hard = true | ) |

## ◆ surveyInfo()

const SurveyInfo & SurveyDiskLocation::surveyInfo | ( |  | ) | const

## ◆ surveyName()

BufferString SurveyDiskLocation::surveyName | ( |  | ) | const

## ◆ usePar()

bool SurveyDiskLocation::usePar | ( | const IOPar & |  | ) |

## Member Data Documentation

## ◆ basepath_

BufferString SurveyDiskLocation::basepath_
| protected

The 'data root'.

## ◆ dirname_

BufferString SurveyDiskLocation::dirname_
| protected

The survey directory name.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025